Jump to content

Install the latest AMD 14.12 Graphic driver with no problems in SL.


You are about to reply to a thread that has been inactive for 2067 days.

Please take a moment to consider if this thread is worth bumping.

Recommended Posts

I take no credit for this idea, i just thought I'd make a post about it since i can only find info here and there.


The Problem:
As far as i have found out, it is not AMD who **bleep**s up their openGL driver so people can't se mesh and various other problems.
It is SL that runs on openGL code that is so old that it should have been replaced many years ago, and it is no longer supportet since no one use it anymore "except sl"


The Fix:
1. Install the latest AMD Graphic driver.


2. Get these 4 little DLL files of your choice, either from the 14.9 or the 14.4 driver.
The files are extracted from those versions of the AMD driver and can be downloaded here:


14.4:  https://www.dropbox.com/s/ig1cz5sdjdgs3a2/ATIFix_dll_14.4.zip?dl=0
14.9:  https://dl.dropboxusercontent.com/u/6867656/SL/BUG-7653_ATIFix_dll_14.9.zip


Personally i use the 14.4 files.


3. Get the files and extract the folder, you can just use 7 zip. http://www.7-zip.org/


4. Now copy the files, and paste them into your SL Viewers instalation folder.
Like mine is located at:  C:\Program Files\Firestorm-Releasex64


Thats it... It works.. Latest driver installed and no SL issues with it. :-)

If you wish you can see further documentation about it here:
http://modemworld.wordpress.com/2014/12/13/amd-catalyst-drivers-additional-windows-workaround/

Link to comment
Share on other sites


Connor Nowles wrote: (...) 
It is SL that runs on openGL code that is so old
that it should have been replaced many years ago, and it is no longer supported since no one use it anymore "except SL" (...)


Why?

(I know, “only they know” or “because they’re [put your favourite LL criticism here], thats why”… but other than that, any specific guesses as to why would they do it when 3D performance is so critical to the user experience?)

Link to comment
Share on other sites


Connor Nowles wrote:

 

 

The Problem:

As far as i have found out, it is not AMD who **bleep**s up their openGL driver so people can't se mesh and various other problems.

It is SL that runs on openGL code that is so old that it should have been replaced many years ago, and it is no longer supportet since no one use it anymore "except sl"

 

Interesting.  Lets tell that to NVidia.  They seem to have missed the Memo:

"Originally developed by Silicon Graphics in the early '90s, OpenGL® has become the most widely-used open graphics standard in the world.. NVIDIA supports OpenGL and a complete set of OpenGL extensions, designed to give you maximum performance on our GPUs. NVIDIA continues to support OpenGL as well through technical papers and our large set of examples on our NVIDIA Graphics SDK."

https://developer.nvidia.com/opengl

Link to comment
Share on other sites

  • 1 month later...

ya the drivers all use that open gl crap that's all new but sl is using the realy old stuff an that's what doesn't work nvidia knows about it n forces some kinda compatibility mode ?? ya so sign my petition to make an all directX 12 secondlife that's so advanced n better that u wont need that old outdated open gl stuff its outdated anyways directX 12 is so brand new its not here until windows 10

Link to comment
Share on other sites

  • 2 months later...


Quinn Lysette wrote:

ya the drivers all use that open gl crap that's all new but sl is using the realy old stuff an that's what doesn't work nvidia knows about it n forces some kinda compatibility mode ?? ya so sign my petition to make an all directX 12 secondlife that's so advanced n better that u wont need that old outdated open gl stuff its outdated anyways directX 12 is so brand new its not here until windows 10

How much are you willing to pay for a windows only viewer that uses proprietary DirectX instead of the free open souce OpenGL?

J.

Link to comment
Share on other sites

  • 2 months later...

seems to have been broken with the latest 15.7 drivers.

 

15.6 still works with the 14.4 or 14.9 dll's, but 15.7 does not.

 

so yeah, I reverted back to 15.6

 

:/

I have i5-4670k

8gb ram

r9 290 4gb video card

samsung solid state hard drive

 

so I have a very good setup for second life..

 

 

for me the fastest setup is 15.6 drivers with 14.4 dll's in the firestorm folder. 14.9 are slower.

 

 

Link to comment
Share on other sites

  • 7 months later...
You are about to reply to a thread that has been inactive for 2067 days.

Please take a moment to consider if this thread is worth bumping.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...